commit:     781cb3f43d85788f24e760b9dd4a9cccc8a224cb
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 12 09:38:51 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Aug 12 09:43:47 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=781cb3f4

app-editors/nano: Bump to version 5.1

Package-Manager: Portage-3.0.2, Repoman-2.3.23
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-editors/nano/Manifest        |  1 +
 app-editors/nano/nano-5.1.ebuild | 89 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 90 insertions(+)

diff --git a/app-editors/nano/Manifest b/app-editors/nano/Manifest
index 260cadf12a4..43f7d7c47e0 100644
--- a/app-editors/nano/Manifest
+++ b/app-editors/nano/Manifest
@@ -1,3 +1,4 @@
 DIST nano-4.6.tar.gz 2970798 BLAKE2B 
d6dfc702d374d1cbcd61080c8e0082b7931dc8c593c97eb705d878d25487a78dc1ebcb8004f742f5ecc3af1b5a31abcf6577e87aba96fb95d16029ff55e7af58
 SHA512 
76fb43495ca1f88ee8864eee5d023b6cd86bc35fba00151b4c6af53ae06e6b3828379e7d52a16c7df0956e9e04602a86ff8e8a7c1997320507ca041195bf004b
 DIST nano-4.9.3.tar.gz 2999198 BLAKE2B 
a96f707936934a965a9a41dfe13ac1ebbe1a5e38db714df6d219b2c6539f24924d4c4f0451508718f66259854806032b84dc89850a7fd55d157f28ae23531d0e
 SHA512 
233e6ed103441bd2c85ed21c50547f85dc0838cc750a5e9b16ecfb393e3b7b978e971af4a4164062c7c267c98895ecb696c02cbd2e4c2eb1ceee657fd026c30a
 DIST nano-5.0.tar.gz 3034734 BLAKE2B 
03ea59c97c0e421ed92f588a2e6991f968b2f341761db66fda077ab827d00b9eb13930f08011f0028010e2005bb912ead723928b482a0532e924f85757a75569
 SHA512 
7e650676a15a185a9695eb49ae5cf441e3d42ae13817a9d3e64cb347c795840712778ac464fd5c578cc6464132206ee06dba52a06a218bcc865485ce3502a4bb
+DIST nano-5.1.tar.gz 2861977 BLAKE2B 
c826782683d26b4c27ffb82e8c4dabad543fe93f53d942bc6ad57b8acb7959595986216a1936d69b0a63b72da101de2c886995421db93c76ee842313799de78d
 SHA512 
8007f40f27a1235d59f5559b6629a3a5a1a579a2356c8825dfef121f4ba7e6c5196e4cedea441c7e856f9add1e9739b14b4142a0a14dab90841110218149df11

diff --git a/app-editors/nano/nano-5.1.ebuild b/app-editors/nano/nano-5.1.ebuild
new file mode 100644
index 00000000000..1a12756b35a
--- /dev/null
+++ b/app-editors/nano/nano-5.1.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic
+if [[ ${PV} == "9999" ]] ; then
+       EGIT_REPO_URI="git://git.sv.gnu.org/nano.git"
+       inherit git-r3 autotools
+else
+       MY_P="${PN}-${PV/_}"
+       SRC_URI="https://www.nano-editor.org/dist/v${PV:0:1}/${MY_P}.tar.gz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+DESCRIPTION="GNU GPL'd Pico clone with more functionality"
+HOMEPAGE="https://www.nano-editor.org/ 
https://wiki.gentoo.org/wiki/Nano/Basics_Guide";
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="debug justify +magic minimal ncurses nls slang +spell +split-usr static 
unicode"
+
+LIB_DEPEND=">=sys-libs/ncurses-5.9-r1:0=[unicode?]
+       sys-libs/ncurses:0=[static-libs(+)]
+       magic? ( sys-apps/file[static-libs(+)] )
+       nls? ( virtual/libintl )
+       !ncurses? ( slang? ( sys-libs/slang[static-libs(+)] ) )"
+RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
+DEPEND="${RDEPEND}
+       static? ( ${LIB_DEPEND} )"
+BDEPEND="
+       nls? ( sys-devel/gettext )
+       virtual/pkgconfig
+"
+
+REQUIRED_USE="!ncurses? ( slang? ( minimal ) )"
+
+src_prepare() {
+       default
+       if [[ ${PV} == "9999" ]] ; then
+               eautoreconf
+       fi
+}
+
+src_configure() {
+       use static && append-ldflags -static
+       local myconf=(
+               --bindir="${EPREFIX}"/bin
+               --htmldir=/trash
+               $(use_enable !minimal color)
+               $(use_enable !minimal multibuffer)
+               $(use_enable !minimal nanorc)
+               $(use_enable magic libmagic)
+               $(use_enable spell speller)
+               $(use_enable justify)
+               $(use_enable debug)
+               $(use_enable nls)
+               $(use_enable unicode utf8)
+               $(use_enable minimal tiny)
+               $(usex ncurses --without-slang $(use_with slang))
+       )
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       # don't use "${ED}" here or things break (#654534)
+       rm -r "${D}"/trash || die
+
+       dodoc doc/sample.nanorc
+       docinto html
+       dodoc doc/faq.html
+       insinto /etc
+       newins doc/sample.nanorc nanorc
+       if ! use minimal ; then
+               # Enable colorization by default.
+               sed -i \
+                       -e '/^# include /s:# *::' \
+                       "${ED}"/etc/nanorc || die
+       fi
+
+       # Since nano-5.0 these are no longer being "enabled" by default
+       # (bug #736848)
+       local rcdir="/usr/share/nano"
+       mv "${ED}"${rcdir}/extra/* "${ED}"/${rcdir}/ || die
+       rmdir "${ED}"${rcdir}/extra || die
+
+       use split-usr && dosym ../../bin/nano /usr/bin/nano
+}

Reply via email to